Name:      gmameui
Version:   0.2.9
Release:   1%{?dist}
Summary:   GMAMEUI is a GTK+ MAME front-end
URL:       http://gmameui.sourceforge.net/
Source:    %{name}-%{version}.tar.gz
License:   GPLv3+
Group:     Applications/Emulators
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(pre): GConf2 >= 2.14
Requires(preun): GConf2 >= 2.14
Requires(post): GConf2 >= 2.14
Requires(post): scrollkeeper
Requires(postun): scrollkeeper

Requires: sdlmame
Requires: sdlmame-data >= %{sdlmame_data_version}

### Build Dependencies ###
BuildRequires: gettext
BuildRequires: gtk2-devel >= 2.10

%description
GMAMEUI is a front-end program that helps you run MAME
on non-Windows platforms, allowing you to run your arcade
games quickly and easily.

GMAMEUI is a fork of the defunct GXMame project.

It contains a number of enhancements over GXMame:

* Support for SDLMame
* Support for more recent versions of MAME
* Support for the recent features introduced to MAME
* Migration to Glade for UI, allowing easier maintenance
* A substantial number of bug fixes and UI improvements over GXMame

%prep
%setup -q

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}"
#%find_lang %{name}
# remove the docs files from the wrong directory
%{__rm} -rf %{buildroot}/%{_docdir}

%clean
%{__rm} -rf %{buildroot}

#%files -f %{name}.lang
%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/locale
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/gnome/help/%{name}/C
%{_datadir}/omf/%{name}
%{_mandir}/man6/%{name}.6*
%doc AUTHORS BUGS COPYING ChangeLog NEWS README TODO

%changelog
* Sun Jun 8 2008 Ugo Viti <ugo.viti@initzero.it> - 0.2.3-1
- new release

* Thu May 15 2008 Ugo Viti <ugo.viti@initzero.it> - 0.2.2-1
- update to upstream release
- some spec cleanups
- add translation support
- add 'it' translation

* Wed Mar 19 2008 Ugo Viti <ugo.viti@initzero.it> - 0.1-1
- initial release
